Get Order Details¶
Endpoint¶
Parameters¶
Path Parameters¶
| Field | Type | Description |
|---|---|---|
| b_id Required | String | Business line ID |
| order_no Required | String | Order ID |
Response¶
Response Body¶
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code (0 = success) |
| message | String | Response message |
| successful | Boolean | Whether the request was successful |
| data | Object | Order data (see data object details below) |
data (object)
| Field | Type | Description |
|---|---|---|
| order_wallet_info | Object | Order information (see order_wallet_info object details below) |
| tx_info_models | Object[] | Transaction information (see tx_info_models object details below) |
| consolidation_tx_info_models | Object[] | Consolidation transaction information (see consolidation_tx_info_models object details below) |
| miner_fee_tx_info_models | Object[] | Miner fee transaction information (see miner_fee_tx_info_models object details below) |
| partial_failed | Object[] | Partially failed order (see partial_failed object details below) |
| partial_success | Object[] | Partially succeeded order (see partial_success object details below) |
| partial_cancel | Object[] | Partially canceled order |
| nft_infos | Object[] | NFT information (for NFT transfer orders) |
| order_review_level_list | Object[] | Order review details (see order_review_level_list object details below) |
order_wallet_info (object)
| Field | Type | Description |
|---|---|---|
| business_name | String | Business line name |
| coin_name | String | Asset name |
| full_name | String | Asset full name (e.g. Tether USD) |
| chain | String | Chain |
| main_coin | String | Main chain asset (e.g. TRX, ETH) |
| order_type | String | Order submission type Allowed values: API, API_ETH_COLD_CONTRACT_WITHDRAW, API_TRON_COLD_CONTRACT_WITHDRAW, API_PRIME_NFT_TRANSFER |
| storage_type | String | Storage type |
| wallet_type | String | Wallet type |
| wallet_name | String | Wallet name |
| wallet_code | String | Wallet ID |
| main_wallet_code | String | Main wallet ID |
| timestamp | Long | Order creation timestamp |
| order_no | String | Order ID |
| serial_no | String | Order serial number |
| applicant | String | Maker |
| amount | Decimal | Withdrawal amount |
| amount_str | String | Withdrawal amount in string format |
| original_amount | Decimal | Original withdrawal amount |
| original_amount_str | String | Original withdrawal amount in string format |
| exchange_rate | Decimal | Exchange rate (USD) |
| exchange_rate_str | String | Exchange rate in string format (USD) |
| miner_fee_rate | Decimal | Miner fee rate |
| miner_fee_rate_str | String | Miner fee rate in string format |
| description | String | Order description |
| status | String | Order status Allowed values: PROCESSING, PARTIALLY_FAILED, MANUAL_APPROVAL, FAILED, ORDER_SEND_OUT, FINISHED, CANCELED, INVALID |
| inner_status | String | Order inner status |
| failed_reason | String | Error message returned to the user indicating the reason the order failed |
| miner_fee | Decimal | Miner fee |
| miner_fee_str | String | Miner fee in string format |
| advance_fee | Decimal | Amount we will advance on your behalf to complete the order in cases where you do not have sufficient native tokens available |
| advance_fee_str | String | Advance fee amount in string format |
| from_address | String | From address |
| balance_not_enough | Boolean | If balance is enough |
| gas_price | Decimal | Gas price (for ETH series) |
| gas_price_str | String | Gas price in string format (ETH series) |
| gas_limit | Decimal | Gas limit (ETH series) |
| gas_limit_str | String | Gas limit in string format (ETH series) |
| max_fee_per_gas | Decimal | Max fee |
| max_fee_per_gas_str | String | Max fee in string format |
| max_priority_fee_per_gas | Decimal | Priority fee |
| max_priority_fee_per_gas_str | String | Priority fee in string format |
| bid | String | Business line ID |
| can_review | Boolean | Whether the current user can review the order |
| review_level_num | Integer | Current review level of the order |
| order_dest_address_info_vo_list | Object[] | Order destination address list (see order_dest_address_info_vo_list object for details below). |
order_dest_address_info_vo_list (object)
| Field | Type | Description |
|---|---|---|
| canceled | Boolean | Whether the order item is canceled |
| item_status | String | Status of this particular order item (per destination address) |
| dest_address | String | Recipient address |
| memo_type | String | Memo type Allowed values: MEMO_NONE, MEMO_TEXT, MEMO_HASH |
| memo | String | Memo |
| origin_balance | Decimal | Origin withdrawal amount |
| origin_balance_str | String | Origin withdrawal amount in string format |
| balance | Decimal | Actual withdrawal amount |
| balance_str | String | Actual withdrawal amount in string format |
| remark | String | Order remark |
| comment | String | Comment |
tx_info_models / consolidation_tx_info_models / miner_fee_tx_info_models (object)
| Field | Type | Description |
|---|---|---|
| tx_type | String | Transaction type |
| block_height | Long | Block height |
| tx_size | Integer | Transaction size |
| tx_hash | String | Transaction hash |
| gas_price | Decimal | Gas price (ETH Series) |
| gas_limit | Decimal | Gas limit (ETH Series) |
| miner_fee | Decimal | Miner fee (Gas used) |
partial_failed / partial_success / partial_cancel (object)
| Field | Type | Description |
|---|---|---|
| dest_address | String | Recipient address |
| memo_type | String | Memo type Allowed values: MEMO_NONE, MEMO_TEXT, MEMO_HASH |
| memo | String | Memo |
| origin_balance | Decimal | Origin withdrawal amount |
| balance | Decimal | Actual withdrawal amount |
| remark | String | Remark |
order_review_level_list (object)
| Field | Type | Description |
|---|---|---|
| review_level_num | Integer | Review level number |
| need_review_number | Integer | Number of reviewers required to approve at this level |
| reviewed_number | Integer | Number of reviewers who have approved at this level. If equal to need_review_number, the current level is approved |
| order_audit_info | Object[] | Review records (may have multiple entries) (see order_audit_info object details below) |
order_audit_info (object)
| Field | Type | Description |
|---|---|---|
| reviewer | String | Reviewer |
| review_result | String | Review status Allowed values: WAITING_FOR_APPROVAL (reviewer has permission but hasn't reviewed yet), APPROVED (review approved), REJECTED (review rejected) |
| review_time_stamp | Long | Review approval/rejection timestamp. Value is 0 if not yet reviewed |
| review_remark | String | Review comment |
If the status field in the order_wallet_info object is FINISHED or PARTIALLY_FAILED, the transaction can only be viewed using the GET Transaction Details API.
Response Example¶
{
"code": 0,
"message": "",
"data": {
"order_wallet_info": {
"business_name": "BusinessLine001",
"coin_name": "USDC",
"full_name": "USD Coin",
"order_type": "API",
"wallet_type": "SEGREGATED_ADDRESS",
"storage_type": "PRIME_HOT",
"wallet_name": "",
"wallet_code": "CHUSDC1036370270",
"main_wallet_code": "CHUSDC1036370270",
"timestamp": 1582275952000,
"order_no": "666666000000081",
"serial_no": "ABC1666666000000081",
"applicant": "test@abc.com",
"amount": 1000,
"amount_str": "1000",
"original_amount": 1000,
"original_amount_str": "1000",
"exchange_rate": 1,
"exchange_rate_str": "1.00000000",
"miner_fee_rate": null,
"miner_fee_rate_str": null,
"description": "",
"status": "FINISHED",
"inner_status": "FINISHED",
"failed_reason": null,
"miner_fee": 630000000000000,
"miner_fee_str": "630000000000000",
"advance_fee": 110100580698,
"advance_fee_str": "110100580698",
"from_address": "0xB6CcF826A777Da8fA0FcfAE0002172a43B05f9a1",
"gas_price": 3000000000,
"gas_price_str": "3000000000",
"gas_limit": 120000,
"gas_limit_str": "120000",
"max_fee_per_gas": null,
"max_fee_per_gas_str": null,
"max_priority_fee_per_gas": null,
"max_priority_fee_per_gas_str": null,
"can_review": false,
"review_level_num": 2,
"order_dest_address_info_vo_list": [
{
"canceled": false,
"item_status": "SUCCEEDED",
"dest_address": "0xB6CcF826A777Da8fA0FcfAE0002172a43B05f9a1",
"memo_type": "MEMO_TEXT",
"memo": "text",
"origin_balance": 1000,
"origin_balance_str": "1000",
"balance": 1000,
"balance_str": "1000",
"remark": "",
"comment": ""
}
],
"chain": "ETH",
"main_coin": "ETH",
"bid": "ed70ff75b1fe4994a3bd836befe0e87f"
},
"tx_info_models": [
{
"tx_type": "WITHDRAW",
"block_height": 9525716,
"tx_size": 1,
"tx_hash": "0x9c34bb2e92056b353747d36483842e00eb4c4944e44dc38c23c3a06a1335a86f",
"gas_price": 30000000000,
"gas_limit": 70000,
"miner_fee": "0"
}
],
"consolidation_tx_info_models": [],
"miner_fee_tx_info_models": [],
"partial_failed": [],
"partial_success": [],
"partial_cancel": [],
"nft_infos": [],
"order_review_level_list": [
{
"review_level_num": 1,
"need_review_number": 1,
"reviewed_number": 1,
"order_audit_info": [
{
"reviewer": "test@test.com",
"review_result": "APPROVED",
"review_time_stamp": 1746583731000,
"review_remark": "api order review test"
}
]
},
{
"review_level_num": 2,
"need_review_number": 1,
"reviewed_number": 0,
"order_audit_info": [
{
"reviewer": "test@xyz.com",
"review_result": "WAITING_FOR_APPROVAL",
"review_time_stamp": 0,
"review_remark": null
}
]
}
]
},
"successful": true
}